Gentoo Archives: gentoo-commits

From: Craig Andrews <candrews@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/rocr-runtime/
Date: Mon, 30 Sep 2019 15:23:25
Message-Id: 1569855988.d31291b63e55dd924eb966ebcef97e7a8e1559ab.candrews@gentoo
commit:     d31291b63e55dd924eb966ebcef97e7a8e1559ab
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 30 14:41:47 2019 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Mon Sep 30 15:06:28 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d31291b6

dev-libs/rocr-runtime: 2.8.0 version bump

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 dev-libs/rocr-runtime/Manifest                  |  1 +
 dev-libs/rocr-runtime/rocr-runtime-2.8.0.ebuild | 37 +++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-libs/rocr-runtime/Manifest b/dev-libs/rocr-runtime/Manifest
index 79fdf81ab50..e76bcd6cf93 100644
--- a/dev-libs/rocr-runtime/Manifest
+++ b/dev-libs/rocr-runtime/Manifest
@@ -1,3 +1,4 @@
 DIST rocr-runtime-2.0.0.tar.gz 313087 BLAKE2B 5fe5ea99728f7d7337c9e8a174a31d4ca8bdd559fad3400955ba6d86947d5bf9004094d78548cab2cb2089bfd028d0e4dfdd4d5fd7b41bed73feeebf2f33b705 SHA512 662d3d8fff8aeb17557df67207d885edc1266bb9800ec46ecab28bbd6ace7fbffb9e4092d74beb0366cacfe8873b1b257bcf2f8345d81a9b6657a7adcfc53c0c
 DIST rocr-runtime-2.6.0.tar.gz 318296 BLAKE2B c04e04db32f650def8a7973fa73f0c0e9b99412b13676a05e9c4283ea07958ffe14f7c54002db469ddfd506f349087bd66fff138b7e7b19c41f4ca8789a7c384 SHA512 3b88cf4e1cb6fca6b4361a612abc2c02466d4f716838665d02f16b6fa975b5f69795622d6b96a01b796165980d2888be7eedd77957a7fd44fac19a0ea581f6b8
 DIST rocr-runtime-2.7.0.tar.gz 321669 BLAKE2B 99f7a62019aaa893ff032a7ed492720c1d0d8fc2c8a730f2e6833d1ad34af57e1045ed480a7d5ba72123bebfa6accd6282be4299bf94d77404adc5bbc9d13624 SHA512 46926a711665df4e232a6dcbcb1f67a4a133bffac927b70404e3cefe624be31dfc5ffea49ae9b834076cfcdf94a6e61b6804af6aed75f433e1842c980bc6e54d
+DIST rocr-runtime-2.8.0.tar.gz 324868 BLAKE2B 5c46ffec7482e09032c67270a352543465f9f8a0a7c45e9884c37104e9e12a7e4dccb60bf3904d1398ffc00d9e934fc055190ba9ba4c1104bdb83be6c758eded SHA512 428b7d1d17a82c841a4d9a2c163670464416afa3ca3c579cc63ee712880940c0150e365922ffdafa44ee81fb76295cc19b66a1a4cb0a7e9a366f56782d826061

diff --git a/dev-libs/rocr-runtime/rocr-runtime-2.8.0.ebuild b/dev-libs/rocr-runtime/rocr-runtime-2.8.0.ebuild
new file mode 100644
index 00000000000..507d471dc10
--- /dev/null
+++ b/dev-libs/rocr-runtime/rocr-runtime-2.8.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+if [[ ${PV} == *9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/RadeonOpenCompute/ROCR-Runtime/"
+	inherit git-r3
+	S="${WORKDIR}/${P}/src"
+else
+	SRC_URI="https://github.com/RadeonOpenCompute/ROCR-Runtime/archive/roc-${PV}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}/ROCR-Runtime-roc-${PV}/src"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Radeon Open Compute Runtime"
+HOMEPAGE="https://github.com/RadeonOpenCompute/ROCR-Runtime"
+PATCHES=(
+	"${FILESDIR}/${PN}-2.0.0-cmake-install-paths.patch"
+)
+
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1-2)"
+IUSE="nonfree"
+
+COMMON_DEPEND="sys-process/numactl"
+RDEPEND="${COMMON_DEPEND}
+	nonfree? ( dev-libs/hsa-ext-rocr )"
+DEPEND="${COMMON_DEPEND}
+	>=dev-libs/roct-thunk-interface-${PV}"
+
+src_prepare() {
+	sed -e "s:get_version ( \"1.0.0\" ):get_version ( \"${PV}\" ):" -i CMakeLists.txt || die
+	cmake-utils_src_prepare
+}